## org.omg.CORBA
Class TRANSACTION_MODE

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--org.omg.CORBA.SystemException
                              |
                              +--org.omg.CORBA.TRANSACTION_MODE

All Implemented Interfaces:
  org.apache.avalon.framework.CascadingThrowable, java.io.Serializable

public class TRANSACTION_MODE
extends SystemException

TRANSACTION_MODE exception is raised by the ORB when it detects a mismatch between the TransactionPolicy in the IOR and the current transaction mode.

Since:
  CORBA 3.0
See Also:
  Serialized Form

Fields inherited from class org.omg.CORBA.SystemException
`completed, minor`

Constructor Summary
`TRANSACTION_MODE()`
`TRANSACTION_MODE(int minor, CompletionStatus completed)`
`TRANSACTION_MODE(java.lang.String orb_reason)`
`TRANSACTION_MODE(java.lang.String orb_reason, int minor, CompletionStatus completed)`

Methods inherited from class org.omg.CORBA.SystemException
`getCause, initCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TRANSACTION_MODE

    public TRANSACTION_MODE()

### TRANSACTION_MODE

    public TRANSACTION_MODE(java.lang.String orb_reason)

### TRANSACTION_MODE

    public TRANSACTION_MODE(int minor,
                            CompletionStatus completed)

### TRANSACTION_MODE

    public TRANSACTION_MODE(java.lang.String orb_reason,
                            int minor,
                            CompletionStatus completed)